Skip to navigation

Retrieve custom form messages

Retrieves the customizable messages for a form (specified by form_id) using the form’s specified language.

You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

form_idanyRequired

Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.

Response

OK
label.buttonHint.defaultstringOptional

Default tooltip button message. Maximum 28 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.buttonHint.longtextstringOptional

Tooltip button message for long text blocks. Maximum 28 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.warning.connectionstringOptional

Server connection error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.buttonNoAnswer.defaultstringOptional
Default continue button message. Maximum 100 characters.
label.warning.correctionstringOptional

List of errors message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.payment.cardNameTitlestringOptional

Credit card name message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.payment.cardNumberTitlestringOptional

Credit card number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.payment.cvcDescriptionstringOptional
Credit card security number message
block.payment.cvcNumberTitlestringOptional

Credit card CVC number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.shortText.placeholderstringOptional
Text input placeholder. Maximum 100 characters.
label.error.emailAddressstringOptional

Invalid email error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.expiryMonthTitlestringOptional

Credit card expiry month message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.expiryYearTitlestringOptional

Credit card expiry year message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.warning.fallbackAlertstringOptional

Fallback alert message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.fileUpload.choosestringOptional

File upload button message. Maximum 34 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.fileUpload.dragstringOptional

File upload dragging action message. Maximum 35 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.fileUpload.uploadingProgressstringOptional

Still processing file upload message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.sizeLimitstringOptional

File too big error message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.warning.formUnavailablestringOptional

Private form error message. Accepts variable form:name. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.incompleteFormstringOptional

Incomplete fields error message. Maximum 42 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.hint.keystringOptional
Key letter hint message. Maximum 100 characters.
block.legal.rejectstringOptional

Legal field deny message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.legal.acceptstringOptional

Legal field accept message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.maxValuestringOptional

Number maximum value tooltip message. Accepts variable field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.maxLengthstringOptional

Text fields maximum length tooltip message. Accepts variable field:max_length. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.minValuestringOptional

Number minimum value tooltip message. Accepts variable field:min. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.rangestringOptional

Number minimum and maximum range value tooltip message. Accepts variables field:min and field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.multipleChoice.hintstringOptional

Choose as many as you like message for multiple choice fields. Maximum 45 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.mustEnterstringOptional

Required value error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.error.mustSelectstringOptional

Required selection error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.no.shortcutstringOptional
Keyboard shortcut for the "No" option. Maximum 1 character.
label.no.defaultstringOptional

Representation for the word “No.” You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.dropdown.hintstringOptional

Not suggestions found for dropdown fields error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.multipleChoice.otherstringOptional
Other answer message. Maximum 100 characters.
label.progress.percentstringOptional

Completion percentage message. Accepts variable progress:percent. Maximum 100 characters.

label.progress.proportionstringOptional

Completion proportion message. Accepts variables progress:step and progress:total. Maximum 100 characters.

label.error.requiredstringOptional

Required field error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.previewstringOptional

Review fields error message. Accepts variable form:unanswered_fields. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.button.reviewstringOptional
Review button message. Maximum 100 characters.
label.error.serverstringOptional

Server error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.action.sharestringOptional
Share text message. Maximum 100 characters.
label.button.submitstringOptional
Submit button message. Maximum 100 characters.
label.warning.successstringOptional

Successful submit message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.button.okstringOptional
Answer confirm. Maximum 100 characters.
label.error.mustAcceptstringOptional

Legal field terms and conditions message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.longtext.hintstringOptional

Long text field tooltip message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

block.dropdown.placeholderstringOptional
Placeholder message with instructions for dropdown fields. Maximum 100 characters.
block.dropdown.placeholderTouchstringOptional
Placeholder message with instructions for dropdown fields on touch devices. Maximum 100 characters.
label.error.urlstringOptional

Invalid URL error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

label.yes.shortcutstringOptional
Keyboard shortcut for the "Yes" option. Maximum 1 character.
label.yes.defaultstringOptional

Representation for the word “Yes”. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.